// spieler.cpp  Datei mit der Klassendefinition "ball"
#include <iostream> 

using namespace std;

class ball {  // Klassendefinition
      private:  // kann nur durch Elementfunktionen angesprochen werden
              char vorname[15];
              char nachname[15];
              unsigned schlaege;
              unsigned treffer;
              float quote;
              float berechne_durchs();
      public:  // oeffentliche Schnittstelle
              void eingeben(); 
              void aktual(); // aktualisiert die Statistik
              void zeige_stat();
};

float ball::berechne_durchs() {
     if(schlaege == 0)
          return 0;
     else  // erzwungene Typenumwandlung auf Fliekomma:
          return float(treffer) / schlaege;                  
}                                 
void ball::eingeben() {  // Eingabe der Werte
     cout << "Vorname des Spielers: ";
     cin >> vorname;
     cout << "Nachname des Spielers: ";
     cin >> nachname;
     cout << "Anzahl der Schlaege: ";
     cin >> schlaege;
     cout << "Anzahl der Treffer: ";
     cin >> treffer;     
     quote = berechne_durchs();
     cout << endl;                                     
}                       
void ball::aktual() {  // aktualisiert die Statistik
     int temp;
     cout << "Neue Werte fuer " << vorname << " ";
     cout << nachname << endl;
     cout << "Anzahl der zusaetzlichen Schlaege: ";
     cin >> temp;
     schlaege = schlaege + temp;     
     cout << "Anzahl der zusaetzlichen Treffer: ";
     cin >> temp;
     treffer = treffer + temp;
     quote = berechne_durchs();
}                   
void ball::zeige_stat() {
     cout << "Spieler: " << vorname << " " << nachname << ": ";
     cout << "Schlaege: " << schlaege << "   Treffer: " << treffer;
     cout << "   Trefferquote: " << quote << endl << endl;
}          


