// fibonacci_1.cpp Rekursion und Iteration
#include <cstdlib>
#include <iostream>
using namespace std;

int rek_fib(int n);
int iter_fib(int n);
int zaehler_rek, zaehler_iter;

int main() {
    int n;
    cout << "Geben Sie eine Zahl ein: ";
    cin >> n;
    cout << endl;
    
    cout << "Fibonacci-Zahl: " << rek_fib(n) << endl;
    cout << "Anzahl der Aufrufe: " << zaehler_rek;
    cout << endl << endl;
    
    cout << "Fibonacci-Zahl: " << iter_fib(n) << endl;
    cout << "Anzahl Aufrufe: " << zaehler_iter;
    cout << endl << endl;
    
    system("PAUSE");
    return EXIT_SUCCESS;
}
 
int rek_fib(int n) { // Rekursion
    zaehler_rek++;
    if(n == 0) return 0;
    else if(n ==1) return 1;
    else         
    return (rek_fib(n-1) + rek_fib(n-2));
}

int iter_fib(int n) {  // Zwischenadditionen speichern in Variablen
    ++zaehler_iter;
    if(n == 0) return 0;
    else if(n == 1) return 1;
    else {                  
       int fi1 = 1;
       int fi2 = 0;
       for(int i = 2; i <= n; i++) {// berechnen aus bestehenden...
          int m = fi1 + fi2;        // ...Teilergebnissen
          fi2 = fi1;
          fi1 = m; // merken der Teilergebnisse
       }   
     return fi1;
    }
}
